'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lineRipple = require('@material/line-ripple');

var _adapterUtilities2 = require('./adapter-utilities');

var _adapterUtilities3 = _interopRequireDefault(_adapterUtilities2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var elementRoot = _ref.elementRoot,
      propClassNames = _ref.propClassNames,
      updateClassNames = _ref.updateClassNames;

  var _adapterUtilities = (0, _adapterUtilities3.default)(),
      addClass = _adapterUtilities.addClass,
      deregisterInteractionHandler = _adapterUtilities.deregisterInteractionHandler,
      hasClass = _adapterUtilities.hasClass,
      registerInteractionHandler = _adapterUtilities.registerInteractionHandler,
      removeClass = _adapterUtilities.removeClass,
      setStyle = _adapterUtilities.setStyle;

  return new _lineRipple.MDCLineRippleFoundation({
    addClass: addClass(updateClassNames),
    removeClass: removeClass(updateClassNames),
    hasClass: hasClass(propClassNames),
    setStyle: setStyle(elementRoot),
    registerEventHandler: registerInteractionHandler(elementRoot),
    deregisterEventHandler: deregisterInteractionHandler(elementRoot)
  });
};